System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ComVisible(true)

The event binding service provides a way to link an event handler with a component event from designer code.

To link an event handler with a component event using the , you must first obtain an for the event of the component you intend to link. The provides methods that can convert an to a which you can use to configure the event with an event handler method name.

The object provides a method that you can use to obtain an containing objects for each event of a component. The and methods of the return a for each passed to either method. Each returned from or has a property type of string. You can set this string to a value that indicates the name of the event-handler method to link the event with using the method of the .

Provides a service for registering event handlers for component events.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` ``

  This method returns a name that is unique from any other method name in the user's source code.

  Creates a unique name for an event-handler method for the specified component and event.

  The recommended name for the event-handler method for this event.

  The component instance the event is connected to. The event to create a name for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.ICollection ``

  Each string in the collection is the name of a method that has a method signature compatible with the specified event.

  Gets a collection of event-handler methods that have a method signature compatible with the specified event.

  A collection of strings.

  The event to get the compatible event-handler methods for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EventDescriptor `` To be added

  Gets an for the event that the specified property descriptor represents, if it represents an event.

  An for the event that the property represents, or null if the property does not represent an event.

  The property that represents an event.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptorCollection ``

  Each returned has a of string.

  Converts a set of event descriptors to a set of property descriptors.

  An array of objects that describe the event set.

  The events to convert to properties.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptor ``

  The returned has a of string.

  Converts a single event descriptor to a property descriptor.

  A that describes the event.

  The event to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean

  This method displays the code editor.

  Displays the user code for the designer.

  true if the code is displayed; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method displays the code editor and positions the cursor on the specified line.

  Displays the user code for the designer at the specified line.

  true if the code is displayed; otherwise, false.

  The line number to place the caret on.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  This method displays the code editor and positions the cursor on the line that the specified event is declared on.

  Displays the user code for the specified event.

  true if the code is displayed; otherwise, false.

  The component that the event is connected to. The event to display.